> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Credential



## OpenAPI

````yaml /openapi/rollout.json post /credentials
openapi: 3.0.3
info:
  title: Universal API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://universal.rollout.com/api
security: []
paths:
  /credentials:
    post:
      tags:
        - Credentials
      summary: Create Credential
      operationId: postCredentials
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                appKey:
                  type: string
                credentialKey:
                  type: string
                plan:
                  type: string
                userInputs:
                  type: object
                  additionalProperties:
                    anyOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                entitiesToSync:
                  type: object
                  properties:
                    actionPlanPeople:
                      type: boolean
                    actionPlans:
                      type: boolean
                    appointments:
                      type: boolean
                    assets:
                      type: boolean
                    borrowers:
                      type: boolean
                    calls:
                      type: boolean
                    calendars:
                      type: boolean
                    calendarEvents:
                      type: boolean
                    customFields:
                      type: boolean
                    events:
                      type: boolean
                    liabilities:
                      type: boolean
                    lists:
                      type: boolean
                    loans:
                      type: boolean
                    notes:
                      type: boolean
                    offices:
                      type: boolean
                    personAssignments:
                      type: boolean
                    properties:
                      type: boolean
                    realEstateOwned:
                      type: boolean
                    smartLists:
                      type: boolean
                    tasks:
                      type: boolean
                    taskTemplates:
                      type: boolean
                    teams:
                      type: boolean
                    textMessages:
                      type: boolean
                    emailMarketingCampaigns:
                      type: boolean
                    emailMarketingEvents:
                      type: boolean
                    emailMessages:
                      type: boolean
                    appointmentOutcomes:
                      type: boolean
                    appointmentTypes:
                      type: boolean
                    stages:
                      type: boolean
                    emailThreads:
                      type: boolean
                    documents:
                      type: boolean
                    sources:
                      type: boolean
                    tags:
                      type: boolean
                    timeframes:
                      type: boolean
                    peopleRelationships:
                      type: boolean
                    pipelines:
                      type: boolean
                    ponds:
                      type: boolean
                    transactionNotes:
                      type: boolean
                    transactionStageHistory:
                      type: boolean
              required:
                - appKey
                - userInputs
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                appKey:
                  type: string
                credentialKey:
                  type: string
                plan:
                  type: string
                userInputs:
                  type: object
                  additionalProperties:
                    anyOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                entitiesToSync:
                  type: object
                  properties:
                    actionPlanPeople:
                      type: boolean
                    actionPlans:
                      type: boolean
                    appointments:
                      type: boolean
                    assets:
                      type: boolean
                    borrowers:
                      type: boolean
                    calls:
                      type: boolean
                    calendars:
                      type: boolean
                    calendarEvents:
                      type: boolean
                    customFields:
                      type: boolean
                    events:
                      type: boolean
                    liabilities:
                      type: boolean
                    lists:
                      type: boolean
                    loans:
                      type: boolean
                    notes:
                      type: boolean
                    offices:
                      type: boolean
                    personAssignments:
                      type: boolean
                    properties:
                      type: boolean
                    realEstateOwned:
                      type: boolean
                    smartLists:
                      type: boolean
                    tasks:
                      type: boolean
                    taskTemplates:
                      type: boolean
                    teams:
                      type: boolean
                    textMessages:
                      type: boolean
                    emailMarketingCampaigns:
                      type: boolean
                    emailMarketingEvents:
                      type: boolean
                    emailMessages:
                      type: boolean
                    appointmentOutcomes:
                      type: boolean
                    appointmentTypes:
                      type: boolean
                    stages:
                      type: boolean
                    emailThreads:
                      type: boolean
                    documents:
                      type: boolean
                    sources:
                      type: boolean
                    tags:
                      type: boolean
                    timeframes:
                      type: boolean
                    peopleRelationships:
                      type: boolean
                    pipelines:
                      type: boolean
                    ponds:
                      type: boolean
                    transactionNotes:
                      type: boolean
                    transactionStageHistory:
                      type: boolean
              required:
                - appKey
                - userInputs
          multipart/form-data:
            schema:
              type: object
              properties:
                appKey:
                  type: string
                credentialKey:
                  type: string
                plan:
                  type: string
                userInputs:
                  type: object
                  additionalProperties:
                    anyOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                entitiesToSync:
                  type: object
                  properties:
                    actionPlanPeople:
                      type: boolean
                    actionPlans:
                      type: boolean
                    appointments:
                      type: boolean
                    assets:
                      type: boolean
                    borrowers:
                      type: boolean
                    calls:
                      type: boolean
                    calendars:
                      type: boolean
                    calendarEvents:
                      type: boolean
                    customFields:
                      type: boolean
                    events:
                      type: boolean
                    liabilities:
                      type: boolean
                    lists:
                      type: boolean
                    loans:
                      type: boolean
                    notes:
                      type: boolean
                    offices:
                      type: boolean
                    personAssignments:
                      type: boolean
                    properties:
                      type: boolean
                    realEstateOwned:
                      type: boolean
                    smartLists:
                      type: boolean
                    tasks:
                      type: boolean
                    taskTemplates:
                      type: boolean
                    teams:
                      type: boolean
                    textMessages:
                      type: boolean
                    emailMarketingCampaigns:
                      type: boolean
                    emailMarketingEvents:
                      type: boolean
                    emailMessages:
                      type: boolean
                    appointmentOutcomes:
                      type: boolean
                    appointmentTypes:
                      type: boolean
                    stages:
                      type: boolean
                    emailThreads:
                      type: boolean
                    documents:
                      type: boolean
                    sources:
                      type: boolean
                    tags:
                      type: boolean
                    timeframes:
                      type: boolean
                    peopleRelationships:
                      type: boolean
                    pipelines:
                      type: boolean
                    ponds:
                      type: boolean
                    transactionNotes:
                      type: boolean
                    transactionStageHistory:
                      type: boolean
              required:
                - appKey
                - userInputs
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      id:
                        type: string
                    required:
                      - id
                  - type: object
                    properties:
                      action:
                        type: string
                        enum:
                          - OTP_REQUEST
                      otpChallengeId:
                        type: string
                      titleHTML:
                        type: string
                      message:
                        type: string
                      messageHTML:
                        type: string
                    required:
                      - action
                      - otpChallengeId
                      - titleHTML
                      - message
                      - messageHTML
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                      required:
                        - message
                required:
                  - errors
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                      required:
                        - message
                required:
                  - errors
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                      required:
                        - message
                required:
                  - errors
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Consumer JWT minted by the tenant's backend

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.